Bug 491751

Summary: Installing Rawhide (clearpart --linux) on top of RAID5 formatted system fails
Product: [Fedora] Fedora Reporter: James Laska <jlaska>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: anaconda-maint-list, jgranado, jturner, pjones, rmaximo, tcallawa, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-04-27 08:41:51 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 495965    
Attachments:
Description Flags
anaconda-logs.tgz (anaocnda.log, syslog, storage.log, program.log) none

Description James Laska 2009-03-23 16:28:10 EDT
Created attachment 336376 [details]
anaconda-logs.tgz (anaocnda.log, syslog, storage.log, program.log)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install a system with RAID5 disk configuration
2. Install rawhide using autopart disk configuration
  
Actual results:

Running anaconda 11.5.0.35, the Fedora system installer - please wait...       
20:12:50 Starting VNC...
20:12:51 The VNC server is now running.
20:12:51 

WARNING!!! VNC server running with NO PASSWORD!
You can use the vncpassword=<password> boot option
if you would like to secure the server.


20:12:51 Please manually connect your vnc client to test122.test.redhat.com:1 (192.168.32.122) to begin the install.
Press <enter> for a shell
Xlib:  extension "RANDR" missing on display ":1.0".
Xlib:  extension "RANDR" missing on display ":1.0".
20:12:51 Starting graphical installation...
Backtrace has 20 calls on stack:
  20: /lib64/libparted-1.8.so.8(ped_assert+0x8a) [0x7ffde759d40a]
  19: /lib64/libparted-1.8.so.8 [0x7ffde75a1283]
  18: /lib64/libparted-1.8.so.8 [0x7ffde75a28c8]
  17: /lib64/libparted-1.8.so.8(ped_disk_remove_partition+0xeb) [0x7ffde75a2ddb]
  16: /usr/lib64/python2.6/site-packages/_pedmodule.so(py_ped_disk_remove_partition+0x123) [0x7ffde6314c69]
  15: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x5313) [0x7ffdf640d3c3]
  14: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalCodeEx+0x8b3) [0x7ffdf640f063]
  13: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x56f8) [0x7ffdf640d7a8]
  12: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalCodeEx+0x8b3) [0x7ffdf640f063]
  11: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x56f8) [0x7ffdf640d7a8]
  10: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x66a5) [0x7ffdf640e755]
  9: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x66a5) [0x7ffdf640e755]
  8: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x66a5) [0x7ffdf640e755]
  7: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x66a5) [0x7ffdf640e755]
  6: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x66a5) [0x7ffdf640e755]
  5: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x66a5) [0x7ffdf640e755]
  4: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalCodeEx+0x8b3) [0x7ffdf640f063]
  3: /usr/lib64/libpython2.6.so.1.0 [0x7ffdf639c62f]
  2: /usr/lib64/libpython2.6.so.1.0(PyObject_Call+0x53) [0x7ffdf6371cb3]
  1: /usr/lib64/libpython2.6.so.1.0 [0x7ffdf6386fff]
Backtrace has 20 calls on stack:
  20: /lib64/libparted-1.8.so.8(ped_assert+0x8a) [0x7ffde759d40a]
  19: /lib64/libparted-1.8.so.8 [0x7ffde75a1283]
  18: /lib64/libparted-1.8.so.8(ped_disk_add_partition+0x292) [0x7ffde75a3e82]
  17: /lib64/libparted-1.8.so.8 [0x7ffde75cb5bb]
  16: /lib64/libparted-1.8.so.8 [0x7ffde75cb6de]
  15: /lib64/libparted-1.8.so.8 [0x7ffde75a290c]
  14: /lib64/libparted-1.8.so.8(ped_disk_remove_partition+0xeb) [0x7ffde75a2ddb]
  13: /usr/lib64/python2.6/site-packages/_pedmodule.so(py_ped_disk_remove_partition+0x123) [0x7ffde6314c69]
  12: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x5313) [0x7ffdf640d3c3]
  11: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalCodeEx+0x8b3) [0x7ffdf640f063]
  10: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x56f8) [0x7ffdf640d7a8]
  9: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalCodeEx+0x8b3) [0x7ffdf640f063]
  8: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x56f8) [0x7ffdf640d7a8]
  7: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x66a5) [0x7ffdf640e755]
  6: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x66a5) [0x7ffdf640e755]
  5: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x66a5) [0x7ffdf640e755]
  4: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x66a5) [0x7ffdf640e755]
  3: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x66a5) [0x7ffdf640e755]
  2: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x66a5) [0x7ffdf640e755]
  1: /usr/lib64/libpython2.6.so.1.0(PyEval_EvalCodeEx+0x8b3) [0x7ffdf640f063]

Expected results:

No backtrace on console

Additional info:

Attaching anaconda-logs.tgz

-rw-r--r-- root/root     23403 2009-03-23 16:22 tmp/anaconda.log
-rw-r--r-- root/root       496 2009-03-23 16:22 tmp/program.log
-rw-r--r-- root/root     20341 2009-03-23 16:22 tmp/storage.log
-rw-r--r-- root/root     31014 2009-03-23 16:22 tmp/syslog
-rwxr-xr-x root/root       912 2009-03-23 16:22 tmp/vncserver.log
Comment 1 James Laska 2009-03-23 16:32:15 EDT
Consistently hitting this bug while testing that rawhide can install on top of
previous installations.  This test matrix focused on installing distros on top
of raid0 storage, then installing rawhide.

First install raid5 (release noted below), then clearpart rawhide
GUEST   TEST                FROM                TO      RESULT
=================================================================
vguest1 clearpart --linux   RHEL-4-U7           rawhide FAIL (bug#491751)
vguest2 clearpart --linux   RHEL-5-Server-U3    rawhide FAIL (bug#491751)
vguest3 clearpart --linux   F-10-GOLD           rawhide FAIL (bug#491751)
vguest4 clearpart --linux   F-9-GOLD            rawhide FAIL (bug#491751)
Comment 2 Joel Andres Granados 2009-03-24 05:20:04 EDT
I saw this traceback when we tried to remove a partition that was not owned by any disk. look at https://fedorahosted.org/pyparted/attachment/ticket/13/0001-Check-for-the-owner-of-partition-before-removing.patch
Comment 3 Chris Lumens 2009-04-23 14:03:18 EDT
Is this still a problem?
Comment 4 James Laska 2009-04-27 08:41:51 EDT
Retested the scenario in comment#1, no longer seeing this bug with anaconda-11.5.0.47